fai-nfsroot2image(8)

NAME
fai-nfsroot2image - make a compressed image from the nfsroot

SYNOPSIS
fai-nfsroot2image [options] NFSROOT OUTPUT

DESCRIPTION
Create an image of the nfsroot. Currently, this image can only contain a squashfs file system. You can use this image for booting a FAI client without mounting the FAI nfsroot by NFS. Instead, the client can fetch this image via http and use it as its root file system.

OPTIONS

-B  Exclude the base.tar.xz file from the image. Instead You can put this file into the basefiles subdirectory in your config space.

-E  Do not exclude any files from the nfsroot.

-R  Remove the output file if it aready exists.

-h  Show help.

EXAMPLES
Convert your nfsroot into a squashfs image:
   # fai-nfsroot2image /srv/fai/nfsroot nfsroot.squashfs

NOTES
You can put the nfsroot.squashfs file on a web server. Then add the following kernel parameter to the pxelinux.cfg file of your FAI install client.
  fetch=http://1.2.3.4/path/to/nfsroot.squashfs That way, you do not need the parameter nfsroot=/srv/fai/nfsroot any more. For more information on the fetch feature see live-boot(7).
This program is part of FAI (Fully Automatic Installation). The FAI homepage is http://fai-project.org.

AUTHOR
Thomas Lange <lange@informatik.uni-koeln.de>